
import java.io.*;
import parser.*;

public class SimpleScript {
    public static void main(String[] args) {
        try {
            int result;
            if (args.length == 0) {
                Reader reader = new InputStreamReader(System.in);
                result = new SimpleScriptParser().run("-", reader, 8);
                reader.close();
            } else {
                result = new SimpleScriptParser().run(new java.io.File(args[0]), null);
            }
            System.out.println(result);
        } catch(Exception x) {
            x.printStackTrace();
        }
    }
}

