
import java.io.*;
import junit.framework.*;
import parser.*;

public class Example_Test extends TestCase {
    public static void main(String[] args) {
        junit.textui.TestRunner.main(new String[] { Example_Test.class.getName() });
    }
    
    public Example_Test(String name) {
        super(name);
    }
    
    private String image1 = "main() { pow(3) } pow(i) { i * i }";
    public void test1() throws SimpleScriptSyntax.ParseException {
        int result = new SimpleScriptParser().run("test", image1, 8);
        assertTrue(result == 9);
    }
    
    private String image2 = "main() { fact(5) } fact(i) { i==0 ? 1 : i*fact(i-1) }";
    public void test2() throws SimpleScriptSyntax.ParseException {
        int result = new SimpleScriptParser().run("test", image2, 8);
        assertTrue(result == 120);
    }
}
